defmodule Lain.Static do
  def run(path) do
    path
    |> Path.join("static/**/*")
    |> Path.wildcard()
    |> Enum.each(fn path ->
      build_path = String.replace(path, "site", "priv")

      if File.dir?(path) do
        File.mkdir_p!(build_path)
      else
        File.copy!(path, build_path)
      end
    end)
  end
end
